/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.math.BigInteger;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TGENEFUNCTIONS")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tgenefunctions.findAll", query = "SELECT t FROM Tgenefunctions t"),
    @NamedQuery(name = "Tgenefunctions.findByName", query = "SELECT t FROM Tgenefunctions t WHERE t.name = :name"),
    @NamedQuery(name = "Tgenefunctions.findByClassname", query = "SELECT t FROM Tgenefunctions t WHERE t.classname = :classname"),
    @NamedQuery(name = "Tgenefunctions.findByActive", query = "SELECT t FROM Tgenefunctions t WHERE t.active = :active"),
    @NamedQuery(name = "Tgenefunctions.findByRecordversion", query = "SELECT t FROM Tgenefunctions t WHERE t.recordversion = :recordversion"),
    @NamedQuery(name = "Tgenefunctions.findByDescription", query = "SELECT t FROM Tgenefunctions t WHERE t.description = :description")})
public class Tgenefunctions implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "NAME")
    private String name;
    @Basic(optional = false)
    @Column(name = "CLASSNAME")
    private String classname;
    @Column(name = "ACTIVE")
    private String active;
    @Column(name = "RECORDVERSION")
    private BigInteger recordversion;
    @Column(name = "DESCRIPTION")
    private String description;

    public Tgenefunctions() {
    }

    public Tgenefunctions(String name) {
        this.name = name;
    }

    public Tgenefunctions(String name, String classname) {
        this.name = name;
        this.classname = classname;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getClassname() {
        return classname;
    }

    public void setClassname(String classname) {
        this.classname = classname;
    }

    public String getActive() {
        return active;
    }

    public void setActive(String active) {
        this.active = active;
    }

    public BigInteger getRecordversion() {
        return recordversion;
    }

    public void setRecordversion(BigInteger recordversion) {
        this.recordversion = recordversion;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (name != null ? name.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tgenefunctions)) {
            return false;
        }
        Tgenefunctions other = (Tgenefunctions) object;
        if ((this.name == null && other.name != null) || (this.name != null && !this.name.equals(other.name))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tgenefunctions[ name=" + name + " ]";
    }
    
}
